rem -------------------------------------------------
rem BATCH UPLOAD SCRIPT
rem A possible use of upload.exe
rem Written by Nol DANJOU <http://noeld.com/>
rem -------------------------------------------------

@echo off
cls

rem Delay between attempts in seconds.
set delay=5

rem Reset the counter
set count=

:Retry

rem Attempt to upload the contents of C:\Data and its sub-folders to the specified FTP server.

upload C:\Data ftp://www.yourdomain.com/download/ mylogin mypsw /validate /subdir /stop

echo Return code: %errorlevel%

if errorlevel 3 goto Failed
if errorlevel 2 goto DoWait
if errorlevel 1 goto Failed
if errorlevel 0 goto Done

:DoWait

rem Increment the counter
set count=%count%*

if "%count%" == "*****" goto Failed

rem Wait a few seconds before next attempt.
wait %delay%

goto Retry

:Failed
echo Unable to upload the file(s).

:Done

rem Cleanup
set delay=
set count=
